Name:           accel-ppp
Version:        1.11.0
Release:        1%{?dist}
Summary:        High performance PPTP/L2TP/PPPoE/IPoE server for Linux.

License:        GPLv2
URL:            http://accel-ppp.org/
Source0:        accel-ppp-1.11.0.tar.bz2
Patch0:         accel-ppp-shaper-invert-tx-rx.patch

BuildRequires:  cmake
BuildRequires:  openssl-devel
#BuildRequires:  pcre-devel
BuildRequires:  pcre2-devel
BuildRequires:  kernel-devel
BuildRequires:  postgresql-devel

%description
Features:

-PPTP server
-PPPoE server
-L2TPv2 server
-Radius CoA/DM(PoD)
-Built-in shaper
-Command line interface (telnet)
-SNMP
-IPv6 (including builtin Neighbor Discovery and DHCPv6)
-IPoE (start session by DHCPv4 or unclassified IPv4 packet)

%prep
%setup
%patch0 -p1


%build

mkdir build
pushd build
%cmake -DBUILD_DRIVER=TRUE -DKDIR=/usr/src/kernels/ -DCMAKE_BUILD_TYPE=Release -DLOG_PGSQL=FALSE \
-DSHAPER=FALSE -DRADIUS=TRUE -DNETSNMP=FALSE ..

make %{?_smp_mflags}


%install
pushd build
make install DESTDIR=%{buildroot}


%files
%license COPYING
%doc README
%{_sysconfdir}/accel-ppp.conf.dist
%{_bindir}/accel-cmd
%{_libdir}/accel-ppp/
%{_sbindir}/accel-pppd
%{_datarootdir}/accel-ppp/
%{_mandir}/*


%changelog
* Fri Nov 18 2016 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 1.11.0-1
- new rpm package

